// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "util/DawnTool.hpp"
#include "util/Xml.hpp"
#include "util/File.hpp"

namespace Dawn {
  struct LanguageString {
    std::string key;
    std::string value;
  };

  class LanguageGen : public DawnTool {
    protected:
      int32_t parseGroup(
        Xml *node,
        std::string key,
        std::map<std::string, std::vector<struct LanguageString>> *strings
      );

      int32_t parseString(
        Xml *node,
        std::string key,
        std::map<std::string, std::vector<struct LanguageString>> *strings
      );

    public:
      int32_t start() override;
  };
}